Skip to main content
 print this page

Create a data quality check

POST 

/data-quality-checks

Creates a data quality check for an existing dataset. DatasetId is required. At least one of AreAutoConstraintSuggestionsEnabled=true or a non-empty DqConstraints list must be provided. The check name is auto-generated as dqcheck-{uuid}. Domain is taken from the dataset. Dataset must not be a view, must not already have a DQ check, and TargetLocation must be a supported DWH target (redshift, s3athena, dynamodb, and lf when enabled). Caller needs access to the dataset. On success Message is "Successfully created data quality check" and DataQualityCheckId is returned.

Request​

Responses​

Data quality check created successfully.

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers